Creates a file from an upload id.

POSThttps://api.awork.com/api/v1/tasks/{taskId}/files/byuploadid
POST https://api.awork.com/api/v1/tasks/{taskId}/files/byuploadid

After a file has been uploaded to an upload URL generated from the endpoint, this endpoint can be used to create a file task from the uploaded file by providing the upload id.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

taskIdstringRequired
format: uuid

The id of the task to attach the file to.

Request body Required

The model describing the uploaded file metadata.

application/json

uploadIdstringRequired
minLength: 1

The id of the temporary container that the file will be uploaded to.

fileNamestringRequired
minLength: 1

The name of the file that will be uploaded.

descriptionstring or nullOptional

The description of the file.

Responses

200 OK

application/json

namestring or nullOptional

The user-specified name of the file.

descriptionstring or nullOptional

The description of the file.

idstringOptional
format: uuid

The id of the file info.

entityIdstring or nullOptionalDeprecated
format: uuid

Deprecated. The id of the linked entity derived from entity specific owner ids.

projectIdstring or nullOptional
format: uuid
projectTemplateIdstring or nullOptional
format: uuid
companyIdstring or nullOptional
format: uuid
taskIdstring or nullOptional
format: uuid
taskTemplateIdstring or nullOptional
format: uuid
userIdstring or nullOptional
format: uuid
documentIdstring or nullOptional
format: uuid
fileNamestring or nullOptional

The name of the file.

entityTypestring or nullOptional

The name of the linked entity type.

mimeTypestring or nullOptional

The MIME type of the file.

createdOnstringOptional
format: date-time

The date this file was created.

createdBystringOptional
format: uuid

The id of the user who created this file.

updatedOnstringOptional
format: date-time

The date this file was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this file.

fileVersionsarray of object or nullOptional

List of all versions.

Show 10 properties
idstringOptional
format: uuid

The id of the file version.

fileInfoIdstringOptional
format: uuid

The id of the file this version belongs to.

versionnumberOptional
format: double

The version of the file.

sizeintegerOptional
format: int64

The size of the file, in bytes.

widthnumber or nullOptional
format: double

The width if this is an image file.

heightnumber or nullOptional
format: double

The height if this is an image file.

createdOnstringOptional
format: date-time

The date this file version was created.

createdBystringOptional
format: uuid

The id of the user who created this file version.

updatedOnstringOptional
format: date-time

The date this file version was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this file version.

isCommentFilebooleanOptional

Whether the file is related to a comment.

externalProviderstring or nullOptional

The external provider for the file. Like 'google' or 'onedrive'.

externalFileUrlstring or nullOptional

The file url of the external provider.

isHiddenForConnectUsersbooleanOptional

Whether the file is hidden for connect users.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation